# disable find_requires as it generate incorrect require on
# pear(Renameuser/SpecialRenameuser_body.php)
%define __find_requires %{nil}

%define mediawiki_extensions %{_datadir}/mediawiki/extensions
%define oname LdapAuthentication
%define mwikiver 1.35
%define gitsnap dbc56f1

Name:		mediawiki-ldapauthentication
Summary:	Mediawiki extension to do ldap authentication
Version:	2.2.0
Release:	%mkrel 3
URL:		https://www.mediawiki.org/wiki/Extension:LDAP_Authentication
Source0:	https://extdist.wmflabs.org/dist/extensions/LdapAuthentication-REL1_35-%{gitsnap}.tar.gz

License:	GPLv2+
Requires:	mediawiki >= %{mwikiver}
Requires:	php-ldap
Group:		System/Servers
BuildArch:	noarch

%description
This plugin should be scalable for use in small to large organizations,
and provides the following functionality:

    Single and multi domain authentication (including local database)
        Simple bind authentication
        Proxy bind authentication
        Smartcard/CAC/PKI Soft Certificate authentication
        Kerberos authentication
        SSL/TLS or non-SSL/TLS binding allowed
        Nested/Unnested Group based restriction support
        Filter based restriction support
    Retrieval of user information from LDAP
        Email address
        Real name
        Nickname
        Language
    Synchronization of LDAP groups to MediaWiki security groups
    (LDAP->MediaWiki only)
        Nested group support available in 1.2b+
    Storing preferences in LDAP
        Update passwords
        Mail me a password
        Update all preferences that are currently retrievable
    Creation and modification of users in LDAP

%prep
%setup -q -n LdapAuthentication

%install
%{__install} -d %{buildroot}%{mediawiki_extensions}/%{oname}
%{__install} *.php README %{buildroot}%{mediawiki_extensions}/%{oname}
%{__install} -d %{buildroot}%{mediawiki_extensions}/%{oname}/schema
%{__install} schema/* %{buildroot}%{mediawiki_extensions}/%{oname}/schema

%files
%{mediawiki_extensions}/%{oname}


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 2.2.0-3.mga10
+ Revision: 2206667
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 2.2.0-2.mga9
+ Revision: 1813649
- Mageia 9 Mass Rebuild

* Thu Dec 03 2020 luigiwalser <luigiwalser> 2.2.0-1.mga8
+ Revision: 1652213
- update for mediawiki 1.35

* Fri Feb 14 2020 umeabot <umeabot> 2.1.0-9.mga8
+ Revision: 1519945
- Mageia 8 Mass Rebuild

* Fri Oct 26 2018 luigiwalser <luigiwalser> 2.1.0-8.mga7
+ Revision: 1325566
- update for mediawiki 1.31

* Wed Sep 19 2018 umeabot <umeabot> 2.1.0-7.mga7
+ Revision: 1264224
- Mageia 7 Mass Rebuild

* Tue Jul 05 2016 luigiwalser <luigiwalser> 2.1.0-6.mga6
+ Revision: 1039025
- update to 12d743d snapshot for mediawiki 1.27

* Fri Feb 19 2016 umeabot <umeabot> 2.1.0-5.mga6
+ Revision: 969885
- Mageia 6 Mass Rebuild

* Fri Sep 18 2015 luigiwalser <luigiwalser> 2.1.0-4.mga6
+ Revision: 880806
- add patch suggested upstream to fix with php >= 5.6.11

* Wed Oct 15 2014 umeabot <umeabot> 2.1.0-3.mga5
+ Revision: 740982
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.1.0-2.mga5
+ Revision: 682339
- Mageia 5 Mass Rebuild

* Thu Jun 05 2014 luigiwalser <luigiwalser> 2.1.0-1.mga5
+ Revision: 633570
- update to version compatible with MediaWiki 1.23 (2.1.0)

* Wed Feb 26 2014 luigiwalser <luigiwalser> 2.0f-2.mga5
+ Revision: 597410
- remove support for instances feature

* Thu Feb 06 2014 luigiwalser <luigiwalser> 2.0f-1.mga5
+ Revision: 584067
- update to version compatible with MediaWiki 1.22 (2.0f)

* Sat Oct 19 2013 umeabot <umeabot> 2.0c-2.mga4
+ Revision: 530086
- Mageia 4 Mass Rebuild

* Wed Jul 17 2013 luigiwalser <luigiwalser> 2.0c-1.mga4
+ Revision: 455118
- update to version compatible with MediaWiki 1.20 (2.0c)
- fix URL
- do not require renameuser (it is bundled in the mediawiki package)

* Sat Jan 12 2013 umeabot <umeabot> 0-0.108775.5.mga3
+ Revision: 359907
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 08 2012 obgr_seneca <obgr_seneca> 0-0.108775.4.mga3
+ Revision: 290188
- updated so it does work with new mediawiki

* Fri Jun 17 2011 misc <misc> 0-0.61987.3.mga2
+ Revision: 109060
- add requires on php-ldap

* Wed Apr 13 2011 boklm <boklm> 0-0.61987.2.mga1
+ Revision: 84388
- add require on mediawiki-renameuser and disable finde_requires script as it generates incorrect require on pear(Renameuser/SpecialRenameuser_body.php)

* Tue Mar 22 2011 boklm <boklm> 0-0.61987.1.mga1
+ Revision: 75486
- imported package mediawiki-ldapauthentication

